Name: proj
Version: 4.7.0
Release: 1
Summary: Cartographic projection software (PROJ.4)
Group: Applications/Engineering
License: MIT
URL: http://www.remotesensing.org/proj/
Source0: ftp://ftp.remotesensing.org/pub/%{name}/%{name}-%{version}.tar.gz
Source1: ftp://ftp.remotesensing.org/pub/%{name}/%{name}-datumgrid-1.3.zip
Patch0: %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: libtool

%description
Proj and invproj perform respective forward and inverse transformation of
cartographic data to or from cartesian data with a wide range of selectable
projection functions. Proj docs: http://www.remotesensing.org/dl/new_docs/

The library is available as 32-bit and 64-bit.


%package devel
Summary: Development files for PROJ.4
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains libproj and the appropriate header files and man pages.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "cc -q64" or "gcc -maix64".


%package nad
Summary: US and Canadian datum shift grids for PROJ.4
Group: Applications/Engineering
Requires: %{name} = %{version}-%{release}

%description nad
This package contains additional US and Canadian datum shift grids.


%package epsg
Summary: EPSG dataset for PROJ.4
Group: Applications/Engineering
Requires: %{name} = %{version}-%{release}

%description epsg
This package contains additional EPSG dataset.


%prep
%setup -q
%patch0

# setup nad
cd nad
unzip %{SOURCE1}
cd ..


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static
make %{?_smp_mflags}

cp src/.libs/libproj.so.0 .
gmake distclean

# now build the 32-bit version
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q src/.libs/libproj.a ./libproj.so.0


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cp nad/pj_out27.dist nad/pj_out83.dist nad/td_out.dist ${RPM_BUILD_ROOT}%{_datadir}/%{name}
chmod 0644 ${RPM_BUILD_ROOT}%{_datadir}/%{name}/*.dist

cp nad/test27 nad/test83 nad/testvarious ${RPM_BUILD_ROOT}%{_datadir}/%{name}
chmod 0755 ${RPM_BUILD_ROOT}%{_datadir}/%{name}/test*

cp nad/epsg ${RPM_BUILD_ROOT}%{_datadir}/%{name}
chmod 0644 ${RPM_BUILD_ROOT}%{_datadir}/%{name}/epsg

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc NEWS AUTHORS COPYING README ChangeLog
%{_bindir}/*
%{_libdir}/*.a
%{_mandir}/man1/*.1
/usr/bin/*
/usr/lib/*.a


%files devel
%defattr(-,root,system,-)
%{_includedir}/*.h
%{_libdir}/*.la
%{_mandir}/man3/*.3
/usr/include/*.h
/usr/lib/*.la


%files nad
%defattr(-,root,system,-)
%doc nad/README
%{_datadir}/%{name}/[A-Z]*
%{_datadir}/%{name}/[a-d]*
%{_datadir}/%{name}/esri*
%{_datadir}/%{name}/[f-z]*


%files epsg
%doc nad/README
%defattr(-,root,system,-)
%attr(0644,root,system) %{_datadir}/%{name}/epsg


%changelog
* Thu Oct 08 2009 Michael Perzl <michael@perzl.org> - 4.7.0-1
- updated to version 4.7.0

* Thu May 15 2008 Michael Perzl <michael@perzl.org> - 4.6.0-1
- first version for AIX V5.1 and higher
